Subject: Re: About Those Sound Problems
From: Glynn Clements <[email-masked]>
To: David Starks-Browning <[email-masked]>
Cc: "David A. Cobb" <[email-masked]>, Xemacs Beta Development MailList <[email-masked]>, Cygwin General MailList <[email-masked]>
Date: Thu, 9 Aug 2001 16:42:29 +0100

David Starks-Browning wrote:

> > >>linuxplay.o(.text+0x124c):linuxplay.c: multiple definition of 
> > >>`play_sound_file'
> > >>ntplay.o(.text+0x418):ntplay.c: first defined here
> > >>linuxplay.o(.text+0x12cc):linuxplay.c: multiple definition of 
> > >>`play_sound_data'
> > >>ntplay.o(.text+0x6f8):ntplay.c: first defined here
> > >
> > I'm sorry if I've offended.  I *have* taken the advice I've been given.  If 
> > you glance at the quoted "configure" options, I removed the 
> > "--with-sound=native,noesd" but the script still finds some header that 
> > screws it up.  I suppose what I need to do is remove the headers completely?!!
> 
> When you re-ran configure without the --with-sound= options, you did
> take care to remove config.cache (or whatever it's called), right?

Actually, I think that you need --with-sound=none. If it's omitted
altogether, the (broken) autodetection will be used.

-- 
Glynn Clements <[email-masked]>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/